package com.dgtly.system.service.impl;

import java.util.List;

import com.dgtly.system.mapper.SysUserAuthorRelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dgtly.system.domain.SysUserAuthorRel;
import com.dgtly.system.service.ISysUserAuthorRelService;
import com.dgtly.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author dgtly
 * @date 2022-03-23
 */
@Service
public class SysUserAuthorRelServiceImpl implements ISysUserAuthorRelService 
{
    @Autowired
    private SysUserAuthorRelMapper sysUserAuthorRelMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param userId 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public SysUserAuthorRel selectSysUserAuthorRelById(Long userId)
    {
        return sysUserAuthorRelMapper.selectSysUserAuthorRelById(userId);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param sysUserAuthorRel 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<SysUserAuthorRel> selectSysUserAuthorRelList(SysUserAuthorRel sysUserAuthorRel)
    {
        return sysUserAuthorRelMapper.selectSysUserAuthorRelList(sysUserAuthorRel);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param sysUserAuthorRel 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertSysUserAuthorRel(SysUserAuthorRel sysUserAuthorRel)
    {
        return sysUserAuthorRelMapper.insertSysUserAuthorRel(sysUserAuthorRel);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param sysUserAuthorRel 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateSysUserAuthorRel(SysUserAuthorRel sysUserAuthorRel)
    {
        return sysUserAuthorRelMapper.updateSysUserAuthorRel(sysUserAuthorRel);
    }

    /**
     * 删除【请填写功能名称】对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteSysUserAuthorRelByIds(String ids)
    {
        return sysUserAuthorRelMapper.deleteSysUserAuthorRelByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param userId 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteSysUserAuthorRelById(Long userId)
    {
        return sysUserAuthorRelMapper.deleteSysUserAuthorRelById(userId);
    }
}
